From ccae67d4abb7aefe31e677be48a0146effa4216c Mon Sep 17 00:00:00 2001
From: James Coleman <jtc331@gmail.com>
Date: Mon, 5 Jul 2021 14:52:17 -0400
Subject: [PATCH v1] Fix typo in comment

---
 src/backend/optimizer/path/allpaths.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/optimizer/path/allpaths.c b/src/backend/optimizer/path/allpaths.c
index 353454b..833db4b 100644
--- a/src/backend/optimizer/path/allpaths.c
+++ b/src/backend/optimizer/path/allpaths.c
@@ -2794,7 +2794,7 @@ generate_useful_gather_paths(PlannerInfo *root, RelOptInfo *rel, bool override_r
 			 * gather merge path for every subpath that has pathkeys present.
 			 *
 			 * But since the subpath is already sorted, we know we don't need
-			 * to consider adding a sort (other either kind) on top of it, so
+			 * to consider adding a sort (full or incremental) on top of it, so
 			 * we can continue here.
 			 */
 			if (is_sorted)
-- 
2.10.1

